#if !defined(AFX_CCustomFileDlg_H__A05954C9_36AD_4371_B463_84B8DB09B62C__INCLUDED_)
#define AFX_CCustomFileDlg_H__A05954C9_36AD_4371_B463_84B8DB09B62C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CustomFileDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCustomFileDlg dialog

//A custom dialog for File Open/Save.

class CCustomFileDlg : public CFileDialog
{
	DECLARE_DYNAMIC(CCustomFileDlg)

protected:
	BOOL m_bOpenFileDialog;	//is open file dialog?
	CStringArray m_extar;	//extensions array

public:
	CCustomFileDlg(BOOL bOpenFileDialog, const char *filename,
				  const char *filter, CWnd* pParentWnd = NULL);

	CString GetSelectedExt();
	CString GetPathName();

protected:
	virtual BOOL OnFileNameOK();

	//{{AFX_MSG(CCustomFileDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CCustomFileDlg_H__A05954C9_36AD_4371_B463_84B8DB09B62C__INCLUDED_)
